// http://akelpad.sourceforge.net/forum/viewtopic.php?p=1413#1413
// Description(1033): Correction of Cyrillic characters of Clipboard
// Description(1049): Корректировка кириллических символов буфера обмена
// Version: 2.3 (2015.07.14)
// Author: VladSh

//Создание (закладки) нового файла
AkelPad.SendMessage(AkelPad.GetMainWnd(), 273 /*WM_COMMAND*/, 4101 /*wParam=MAKEWAPARAM(0,IDM_FILE_NEW)*/, 1 /*lParam=TRUE*/);

//это работало при вставке текста в виде вопросиков; добавил следующую строку, когда попадётся такая строка, то надо проверить, работает ли это при ней, и если нет, тогда думать, как заставить скрипт работать в 2-х вариантах
//AkelPad.ReplaceSel(AkelPad.GetClipboardText());

//корректировка текста в виде "умляутов" (такой текст гораздо чаще бывает); см. http://akelpad.sourceforge.net/forum/viewtopic.php?p=1306#1306
AkelPad.Command(4191);

AkelPad.SetSel(0, -2);

AkelPad.SetClipboardText(AkelPad.GetSelText());

AkelPad.SendMessage(AkelPad.GetMainWnd(), 1229 /*AKD_SETMODIFY*/, 0, false);		//помечаем как неизменявшийся, чтобы не спрашивало, сохранить или нет
AkelPad.Command(4318);		//закрываем текущую вкладку